package com.dragon.tj.portal.auth.controller;

import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.auth.service.TokenService;
import com.dragon.tj.portal.auth.web.entity.SysUser;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.common.enums.message.MessageInfoErrorEnums;
import com.dragon.tj.portal.component.exception.message.MessageInfoException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 字典表 前端控制器
 * </p>
 *
 * @author huey
 * @since 2023-06-12
 */
@RestController
@RequestMapping("/test")
public class SsoController {

    @Autowired
    private TokenService tokenService;

    @GetMapping("/login")
    public R login(HttpServletResponse response) {
        SysUser sysUser = new SysUser();
        sysUser.setIdcard("120222197001010002");
        sysUser.setName("李四");
        sysUser.setOrgCode("120000450200");
        sysUser.setOrgName("服务实战值班岛");
        List<String> perms = Arrays.asList("gzt", "yyzx");
        LoginUser loginUser = new LoginUser(sysUser.getIdcard(), sysUser.getOrgCode(), sysUser, new HashSet<>(perms));
        String token = tokenService.createToken(loginUser);
        Map<String, String> data = new HashMap<>();
        data.put("token", token);
        return R.ok(data);
    }

    @GetMapping("/hello")
    public R<String> test() {
        throw new MessageInfoException(MessageInfoErrorEnums.Code.MESSAGE_READ_ALREADY);
    }
}

