package com.dragon.tj.portal.common.vo.message;

import com.dragon.tj.portal.common.constants.DateTimeFormatterConstant;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.validator.constraints.Range;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author huey China.
 * @Description : vo
 * @Date Created in 2023/6/28 15:19
 */
@ToString
@Getter
@Setter
public class MessagePageParam {

    /**
     * 信息类型 1 通知公告 2信息交流 3 标准规范
     */
    private Integer messageType;


    /**
     * 信息标题
     */
    private String title;

    /**
     * 信息内容
     */
    private String content;

    /**
     * 部门名称
     */
    private String deptCode;

    /**
     * 发布时间
     */
    @DateTimeFormat(pattern = DateTimeFormatterConstant.OF_PATTERN_0)
    private LocalDateTime publishTimeStart;
    @DateTimeFormat(pattern = DateTimeFormatterConstant.OF_PATTERN_0)
    private LocalDateTime publishTimeEnd;

    /**
    *
    *已读状态
    */
    private Integer readStatus;

}
