package com.dragon.tj.portal.controller;

import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.entity.FileInfo;
import com.dragon.tj.portal.entity.PageParam;
import com.dragon.tj.portal.service.FileManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;


@RestController
@RequestMapping("/fileMge")
public class FileManageController {

    @Autowired
    private FileManageService fileManageService;

    /*
    * 文件上传
    * */
    @PostMapping("/upload/{type}")
    public R upload(MultipartFile file, @PathVariable("type")Integer type){

        return R.ok().setData(fileManageService.upload(file,type));
    }

    /*
     *   文件软件搜索
     * */
    @PostMapping("search")
    public R search(@RequestBody PageParam<FileInfo> appInfoPage) {

        return R.ok(fileManageService.search(appInfoPage));
    }

    /*
     *   获取Top 数量
     * */
    @GetMapping("top/{type}/{num}")
    public R search(@PathVariable("type")String type,@PathVariable("num")Integer num) {
        return R.ok(fileManageService.top(type,num));
    }

}
