package com.dragon.tj.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 业务信息
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("business_info")
public class BusinessInfo {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务类型（1派出所常用，2采集中心）
     */
    private Integer businessType;

    /**
     * 业务名称
     */
    private String businessName;

    /**
     * 业务代码
     */
    private String businessNumber;

    /**
     * 所属应用Id
     */
    private Long appId;

    /**
     * 所属应用名称
     */
    private String appName;


    /**
     * 应用系统访问地址
     */
    private String url;



    /**
     * 系统在用标识（1在用）
     */
    private Integer activeFlag;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    private String createUser;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime updateTime;

    /**
     * 删除状态 默认0 有效 1无效
     */
    private Integer delFlag;

    /**
     * 版本号
     */
    @TableField(exist = false)
    private String version;

    /**
     * 收藏数量
     */
    private Long star;

    /*
     * 排序
     */
    @TableField(exist = false)
    private int seq;
}
